Bug 1275973 - RFE : Exporting multiple subdirectory entries for gluster volume using cli [NEEDINFO]
RFE : Exporting multiple subdirectory entries for gluster volume using cli
Status: NEW
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: cli (Show other bugs)
3.1
All All
high Severity high
: ---
: ---
Assigned To: Jiffin
Byreddy
: FutureFeature, ZStream
Depends On: 1275966
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-28 05:09 EDT by Jiffin
Modified: 2017-08-11 06:36 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
Cause: Only single export entry handled via cli Consequence: Multiple sub directories for a volume be cannot be exported at a time Workaround (if any): admin need export the entry manually by edit conf file and sending dbus signal Result: Easiness for exporting volume will be lost. Plus it may lead to inconsistency in using export id for that volume
Story Points: ---
Clone Of: 1275966
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kkeithle: needinfo? (asrivast)


Attachments (Terms of Use)

  None (edit)
Description Jiffin 2015-10-28 05:09:22 EDT
+++ This bug was initially created as a clone of Bug #1275966 +++

Description of problem:

As per current design ,it is only possible to export one path for a volume using nfs-ganesha at a time.Although it can be performed using manual configuration of export file , but it has its own limitations.

Version-Release number of selected component (if applicable):
mainline
Comment 2 Kaleb KEITHLEY 2016-06-15 09:46:07 EDT
do we need this feature for 3.2?

Note You need to log in before you can comment on or make changes to this bug.